<!DOCTYPE html>
<html lang="es">

<head>
    <?php require_once "head.php"; ?>
    <!-- Agrega el archivo CSS de Leaflet -->
    <!-- Load Leaflet from CDN-->
    <link rel="stylesheet" href="https://unpkg.com/leaflet/dist/leaflet.css" />
    <script src="https://unpkg.com/leaflet/dist/leaflet-src.js"></script>

    <!-- Load Esri Leaflet from CDN -->
    <script src="https://unpkg.com/esri-leaflet"></script>
    <link rel="stylesheet" type="text/css" href="../public/toastr/css/toastr.css">

    <!-- Esri Leaflet Geocoder -->
    <link rel="stylesheet" href="https://unpkg.com/esri-leaflet-geocoder/dist/esri-leaflet-geocoder.css" />
    <script src="https://unpkg.com/esri-leaflet-geocoder"></script>
    <!-- Incluye la hoja de estilos CSS de Leaflet -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.3/dist/leaflet.css" integrity="sha256-kLaT2GOSpHechhsozzB+flnD+zUyjE2LlfWPgU04xyI=" crossorigin="" />
    <script src="https://unpkg.com/leaflet@1.9.3/dist/leaflet.js" integrity="sha256-WBkoXOwTeyKclOHuWtc+i2uENFpDZ9YPdf5Hf+D7ewM=" crossorigin=""></script>

    <script src="./data/line.js"></script>
    <script src="./data/point.js"></script>
    <script src="./data/polygon.js"></script>
    <script src="./data/nepaldata.js"></script>
    <link rel="stylesheet" href="https://unpkg.com/leaflet-control-geocoder/dist/Control.Geocoder.css" />
    <script src="https://unpkg.com/leaflet-control-geocoder/dist/Control.Geocoder.js"></script>
    <script src="./data/usstates.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    

    <!-- Enlace al archivo CSS de Leaflet.awesome-markers -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/leaflet.awesome-markers/dist/leaflet.awesome-markers.css" />

    <!-- Enlace al archivo JavaScript de Leaflet.awesome-markers -->
    <script src="https://cdn.jsdelivr.net/npm/leaflet.awesome-markers/dist/leaflet.awesome-markers.min.js"></script>


    <!-- Biblioteca Font Awesome (para el icono de búsqueda) -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.3/css/all.css">
    <!-- Agrega el estilo CSS para el mapa -->
    <style>
        #map {
            height: 100vh;
            width: 100%;
        }

        .info {
            padding: 6px 8px;
            font: 14px/16px Arial, Helvetica, sans-serif;
            background: white;
            background: rgba(255, 255, 255, 0.8);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            border-radius: 5px;
        }

        .info h4 {
            margin: 0 0 5px;
            color: #777;
        }

        .legend {
            line-height: 18px;
            color: #555;
        }

        .legend i {
            width: 18px;
            height: 18px;
            float: left;
            margin-right: 8px;
            opacity: 0.7;
        }

        #search-control {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            z-index: 1000;
        }
        

    </style>

</head>

<body>
    <?php require_once "menu.php"; ?>

    <!-- Content page-->
    <section class="full-box dashboard-contentPage">
        <!-- NavBar -->
        <nav class="full-box dashboard-Navbar">
            <ul class="full-box list-unstyled text-right">
                <li class="pull-left">
                    <a href="#!" class="btn-menu-dashboard"><i class="zmdi zmdi-more-vert"></i></a>
                </li>
            </ul>
        </nav>
        <!-- Content page -->

        <div class="full-box text-center" style="padding: 30px 10px;">
            <div id="map" style="height: 1000px;"></div>
        </div>
    </section>

    <!-- Dialog help -->
    <div class="modal fade" tabindex="-1" role="dialog" id="Dialog-Help">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Ayuda</h4>
                </div>
                <div class="modal-body">
                    <p>
                        Consulte el manual de usuario, o cierre sesión se existe algun tipo de error.
                    </p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary btn-raised" data-dismiss="modal"><i class="zmdi zmdi-thumb-up"></i> Ok</button>
                </div>
            </div>
        </div>
    </div>

    <script>
    // crea un nuevo mapa centrado en [-12.058867, -75.288820] y con zoom 12
    var mymap = L.map('map').setView([-12.062277, -75.287693], 15);

// Añade una capa de mapa base de Google Streets
    var googleStreets = L.tileLayer('http://{s}.google.com/vt/lyrs=m&x={x}&y={y}&z={z}',{
        maxZoom: 20,
        subdomains:['mt0','mt1','mt2','mt3']
    });
    googleStreets.addTo(mymap);
    

 

    // Crea una capa de grupo para los marcadores de tiendas
    var tiendaLayer = L.layerGroup().addTo(mymap);

  <?php
$servername = "localhost";
$username = "mchupaca";
$password = "H5]FGd(*^4H";
$dbname = "mchupaca_licenicaC";

// Crea la conexión
$conn = new mysqli($servername, $username, $password, $dbname);

// Verifica la conexión
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Realiza la consulta
$sql = "SELECT t.nombres_per, t.ubic_tienda, t.latitud, t.longitud, t.celular, l.nombre_comercial, l.vigencia_lic, l.fecha_ingreso, l.fecha_expedicion, l.tipo_lic, l.condicion, l.exp_num, l.EstadoITSE FROM tienda t JOIN licencia l ON t.idtienda = l.idtienda";
$result = $conn->query($sql);

// Crea un arreglo con los resultados de la consulta
$tiendas = array();
if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $tiendas[] = $row;
    }
}

$conn->close();
?>

// Suponiendo que los datos están en un arreglo llamado "tiendas"

<?php foreach ($tiendas as $tienda): ?>
  var nombrePersona = "<?php echo $tienda['nombres_per']; ?>";
  var latitud = "<?php echo $tienda['latitud']; ?>";
  var longitud = "<?php echo $tienda['longitud']; ?>";
  var nombreComercial = "<?php echo $tienda['nombre_comercial']; ?>";
  var ubicacion = "<?php echo $tienda['ubic_tienda']; ?>";
  var vigenciaLic = "<?php echo $tienda['vigencia_lic']; ?>";
  var fechaIngreso = "<?php echo $tienda['fecha_ingreso']; ?>";
  var tipoAnuncio = "<?php echo $tienda['fecha_expedicion']; ?>";
  var tipoLic = "<?php echo $tienda['tipo_lic']; ?>";
  var condicion = "<?php echo $tienda['condicion']; ?>";
  var expNum = "<?php echo $tienda['exp_num']; ?>";
  var estadoitse = "<?php echo $tienda['EstadoITSE']; ?>";
  var celular = "<?php echo $tienda['celular']; ?>";

  var popupContent = "<div style='font-size: 16px;'>"
    + "<b>PROPIETARIO DEL PREDIO:</b><br>" + nombrePersona + "</span><br><br>"
    + "<b>Nombre Comercial:</b><br>" + nombreComercial + "</span><br><br>"
    + "<b>Dirección:</b><br>" + ubicacion + "</span><br><br>"
    + "<b>Celular:</b><br>" + celular + "</span><br><br>"
    + "<b>Vigencia de Licencia:</b><br>" + vigenciaLic + "</span><br><br>"
    + "<b>Fecha de Expedición:</b><br>" + fechaIngreso + "</span><br><br>"
    + "<b>Tipo de Anuncio:</b><br>" + tipoAnuncio + "</span><br><br>"
    + "<b>Tipo de Licencia:</b><br>";

  if (tipoLic == "1") {
    popupContent += "<span style='color: orange; background-color: #FFDAB9; padding: 4px 8px; border-radius: 4px;'>Indeterminado</span>";
  } else if (tipoLic == "2") {
    popupContent += "<span style='color: red; background-color: #F08080; padding: 4px 8px; border-radius: 4px;'>Temporal</span>";
  }

  popupContent += "<br><br><b>Estado Licencia:</b><br>";

  if (condicion == "1") {
    popupContent += "<span style='color: green; background-color: #90EE90; padding: 4px 8px; border-radius: 4px;'>ACTIVO</span>";
    var markerColor1 = 'green'; // Color del marcador si el estadoITSE es activo
  } else if (condicion == "0") {
    popupContent += "<span style='color: red; background-color: #F08080; padding: 4px 8px; border-radius: 4px;'>INACTIVO</span>";
    var markerColor1 = 'red'; // Color del marcador si el estadoITSE es inactivo
  }
  popupContent += "<br><br><b>Estado ITSE:</b><br>";
  
  if (estadoitse == "1") {
    popupContent += "<span style='color: green; background-color: #90EE90; padding: 4px 8px; border-radius: 4px;'>ACTIVO</span>";
  } else if (estadoitse == "0") {
    popupContent += "<span style='color: red; background-color: #F08080; padding: 4px 8px; border-radius: 4px;'>INACTIVO</span>";
  }
  


  popupContent += "</div><br><br><button type='button' class='btn btn-light btn-raised btn-sm' onclick=\"imprimir('../public/pdf/tramitelicencia.php?idtramite=" + expNum + "','1200', '500')\"><i class='zmdi zmdi-print'></i></button>";

  var tiendaIcon = L.AwesomeMarkers.icon({
    icon: 'shopping-cart', // Nombre del icono
    prefix: 'fa', // Prefijo para los iconos de FontAwesome (fa por defecto)
    markerColor: markerColor1 // Color del marcador (obtenido según el estadoITSE)
  });

  var tiendaMarker = L.marker([latitud, longitud], {
    icon: tiendaIcon // Usa el icono personalizado creado con Leaflet.awesome-markers
  }).addTo(tiendaLayer);

  tiendaMarker.bindPopup(popupContent).openPopup();
<?php endforeach; ?>



// función para generar el contenido del nuevo popup
function getPopupContent(lat, lon) {
    // aquí puedes hacer una petición AJAX al servidor para obtener información adicional de la tienda
    // por ejemplo, puedes obtener el nombre del propietario, la dirección, etc.
    // por ahora, simplemente mostraremos la ubicación exacta de la tienda
    return "Ubicación exacta: " + lat + ", " + lon;
}

</script>



    <?php require_once "script.php"; ?>
    <script type="text/javascript" src="../public/toastr/js/toastr.min.js"></script>
	<script type="text/javascript" src="script/registrotramite.js"></script>
</body>

</html>
